# Moving Average Plus - C++ Library for Arduino

[![Latest Release](https://img.shields.io/github/v/release/AlexandreHiroyuki/MovingAveragePlus)](https://github.com/AlexandreHiroyuki/MovingAveragePlus/releases)
[![PlatformIO Registry](https://badges.registry.platformio.org/packages/alexandrehiroyuki/library/MovingAveragePlus.svg)](https://registry.platformio.org/libraries/alexandrehiroyuki/MovingAveragePlus)
[![Latest Release Date](https://img.shields.io/github/release-date/AlexandreHiroyuki/MovingAveragePlus)](https://github.com/AlexandreHiroyuki/MovingAveragePlus/releases)
[![Last Commit Date](https://img.shields.io/github/last-commit/AlexandreHiroyuki/MovingAveragePlus)](https://github.com/AlexandreHiroyuki/MovingAveragePlus/commits/master)

[![GitHub Stars](https://img.shields.io/github/stars/AlexandreHiroyuki/MovingAveragePlus?color=yellow)](https://github.com/AlexandreHiroyuki/MovingAveragePlus/stargazers)
[![Contributors](https://img.shields.io/github/contributors-anon/AlexandreHiroyuki/MovingAveragePlus)](https://github.com/AlexandreHiroyuki/MovingAveragePlus/graphs/contributors)
[![Top Language](https://img.shields.io/github/languages/top/AlexandreHiroyuki/MovingAveragePlus)](https://github.com/AlexandreHiroyuki/MovingAveragePlus)

> _Old name: MovingAverage_ArduinoLibrary_

A C++ library that implements a moving average on the Arduino platform. Performance and usability are the two focuses I thought of when creating this library, so every improving tip is welcome.

This library is listed in the official [Arduino Library Manager](https://www.arduino.cc/reference/en/libraries/movingaverageplus/), and you can also find it at [Arduino Library List](https://www.arduinolibraries.info/libraries/moving-average-plus).

_**—NEW DOWNLOAD PLATFORM AVAILABLE—**_ Now it's possible to install this library on the [PlatformIO Registry](https://registry.platformio.org/libraries/alexandrehiroyuki/MovingAveragePlus)!

Check our **hottest and exclusive** feature released, the Partials!

> _[Click here to read more about the Partials Concept](https://moving-average-plus.notion.site/Partials-e500d332364948d98205c2ec68d31308)_

## Documentation

This library implements the moving average using a circular array to improve the performance.

> _[Click here to see the full documentation ON-LINE](https://moving-average-plus.notion.site/Moving-Average-Lib-for-Arduino-Docs-321407678aab4ba99a03116af9bcf37b)_
>
> _BETTER than offline!_

> _[Documentation Exported/OFF-LINE](https://alexandrehiroyuki.github.io/MovingAveragePlus/)_
>
> _WARNING! — The exported documentation is less responsive! You can also access the exported files on the `docs/` folder when you clone or dowload the repository._

## Contributing

1. Fork it (<https://github.com/AlexandreHiroyuki/MovingAveragePlus>)
2. Create your feature branch (`git checkout -b feature/fooBar`)
3. Commit your changes (`git commit -am 'Added something'`)
4. Push to the branch (`git push origin feature/fooBar`)
5. Create a new Pull Request
   > You can find a Pull Request template on <https://github.com/flexyford/pull-request-template>

## Developed by

**Alexandre Hiroyuki** – [GitHub](https://github.com/AlexandreHiroyuki) – [LinkedIn](https://www.linkedin.com/in/alexandre-hiroyuki-yamauchi-7137241a6/)
